ad

VirtueMart 'product_id' Parameter SQL Injection Vulnerability



EDB-ID: 10533 CVE: 2009-4430 OSVDB-ID: 61408
Author: Neo-GabrieL Published: 2009-12-17 Verified: Verified
Exploit Code:   Download Vulnerable App:   N/A

Rating

(0.0)
Prev Home Next
Bugtraq ID:  	 37317
Class: 	Input Validation Error
CVE: 	
Remote: 	Yes
Local: 	No
Published: 	Dec 14 2009 12:00AM
Updated: 	Dec 17 2009 06:03PM
Credit: 	SOA Crew a.k.a Neo-GabrieL
Vulnerable: 	VirtueMart VirtueMart 1.0

VirtueMart is prone to an SQL-injection vulnerability because it fails to sufficiently sanitize user-supplied data before using it in an SQL query.

Exploiting this issue could allow an attacker to compromise the application, access or modify data, or exploit latent vulnerabilities in the underlying database.

VirtueMart 1.0 is vulnerable; other versions may also be affected. 

The following example URI is available:

http://server/index.php?page=shop.product_details&flypage=shop.flypage&product_id=[SOA injection]